<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Systems/Inventory/HandStartAction.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d55/_hand_start_action_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">HandStartAction.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d55/_hand_start_action_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="keyword">class </span><a class="code hl_class" href="../../d5/ded/class_hand_start_action.html">HandStartAction</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d2/d9a/class_hand_state_base.html">HandStateBase</a></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>{</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d2/d9a/class_hand_state_base.html#a7537d4a3cf8246af388a1f6455f0bd5e">    6</a></span>    <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a> <a class="code hl_variable" href="../../d2/d9a/class_hand_state_base.html#a7537d4a3cf8246af388a1f6455f0bd5e">m_Action</a>; </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d2/d9a/class_hand_state_base.html#ad427d937cf3f3f41691f22751ecfe423">    7</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/d9a/class_hand_state_base.html#ad427d937cf3f3f41691f22751ecfe423">m_ActionType</a>; </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d2/d9a/class_hand_state_base.html#a52b02313007dc42f2788cd334ffa62f9">    9</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d9a/class_hand_state_base.html#a52b02313007dc42f2788cd334ffa62f9">HandStartAction</a> (Man player = NULL, <a class="code hl_class" href="../../d2/d9a/class_hand_state_base.html">HandStateBase</a> parent = NULL, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a> action = <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.NONE, <span class="keywordtype">int</span> actionType = -1)</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a> = action;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        m_ActionType = actionType;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d2/d9a/class_hand_state_base.html#a25901bba506525c68e8ce3dc24951dfa">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d9a/class_hand_state_base.html#a25901bba506525c68e8ce3dc24951dfa">OnEntry</a> (<a class="code hl_class" href="../../d8/d9e/class_hand_event_base.html">HandEventBase</a> e)</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        super.OnEntry(e);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">if</span> (e.m_Player)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            Human hmn = Human.Cast(e.m_Player);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            <a class="code hl_class" href="../../da/dd0/class_human_command_weapons.html">HumanCommandWeapons</a> hcw = hmn.GetCommandModifier_Weapons();</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            <span class="keywordflow">if</span> (hcw)</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>                <span class="keywordflow">if</span> (m_ActionType == -1)</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>                {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>                    hcw.<a class="code hl_function" href="../../da/dd0/class_human_command_weapons.html#aa445c68dd681f55cd731b8a6733d6e5a">StartAction</a>(-1, -1);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>                    <a class="code hl_function" href="../../d5/d4b/_hand_f_s_m_8c.html#a4d1ced2805a0b33fc2d7a5ae1300b53b">hndDebugPrint</a>(<span class="stringliteral">&quot;HCW: &quot;</span> + <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a>.GetDebugName(e.m_Player) + <span class="stringliteral">&quot; STS = &quot;</span> + e.m_Player.GetSimulationTimeStamp() + <span class="stringliteral">&quot; playing A=-1 AT=-1 fini=&quot;</span> + hcw.<a class="code hl_function" href="../../da/dd0/class_human_command_weapons.html#a00c48b946a5b5a45d6e4076a1b2b22ed">IsActionFinished</a>());</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>                }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>                {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                    hcw.<a class="code hl_function" href="../../da/dd0/class_human_command_weapons.html#aa445c68dd681f55cd731b8a6733d6e5a">StartAction</a>(<a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a>, m_ActionType);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>                    <span class="keywordflow">if</span> (hcw.<a class="code hl_function" href="../../da/dd0/class_human_command_weapons.html#a2b8854c339f238e2a1ec7e1a6e58c298">GetRunningAction</a>() == <a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a> &amp;&amp; hcw.<a class="code hl_function" href="../../da/dd0/class_human_command_weapons.html#ad74a4f1019cb9facfa831511cfaaafa1">GetRunningActionType</a>() == m_ActionType)</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                        <a class="code hl_function" href="../../d5/d4b/_hand_f_s_m_8c.html#a4d1ced2805a0b33fc2d7a5ae1300b53b">hndDebugPrint</a>(<span class="stringliteral">&quot;HCW: &quot;</span> + <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a>.GetDebugName(e.m_Player) + <span class="stringliteral">&quot; STS = &quot;</span> + e.m_Player.GetSimulationTimeStamp() + <span class="stringliteral">&quot; playing A=&quot;</span> + <span class="keyword">typename</span>.EnumToString(<a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>, <a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a>) + <span class="stringliteral">&quot; AT=&quot;</span> + <a class="code hl_function" href="../../d4/d9e/human_8c.html#a7a257c76197be68ad54ce2409c5b9d3a">WeaponActionTypeToString</a>(<a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a>, m_ActionType) + <span class="stringliteral">&quot; fini=&quot;</span> + hcw.<a class="code hl_function" href="../../da/dd0/class_human_command_weapons.html#a00c48b946a5b5a45d6e4076a1b2b22ed">IsActionFinished</a>());</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                        <a class="code hl_function" href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a>(<span class="stringliteral">&quot;HCW: NOT playing A=&quot;</span> + <span class="keyword">typename</span>.EnumToString(<a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>, <a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a>) + <span class="stringliteral">&quot; AT=&quot;</span> + <a class="code hl_function" href="../../d4/d9e/human_8c.html#a7a257c76197be68ad54ce2409c5b9d3a">WeaponActionTypeToString</a>(<a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a>, m_ActionType) + <span class="stringliteral">&quot; fini=&quot;</span> + hcw.<a class="code hl_function" href="../../da/dd0/class_human_command_weapons.html#a00c48b946a5b5a45d6e4076a1b2b22ed">IsActionFinished</a>());</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                <a class="code hl_function" href="../../d5/d4b/_hand_f_s_m_8c.html#a4d1ced2805a0b33fc2d7a5ae1300b53b">hndDebugPrint</a>(<span class="stringliteral">&quot;---: remote playing A=&quot;</span> + <span class="keyword">typename</span>.EnumToString(<a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>, <a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a>) + <span class="stringliteral">&quot; AT=&quot;</span> + <a class="code hl_function" href="../../d4/d9e/human_8c.html#a7a257c76197be68ad54ce2409c5b9d3a">WeaponActionTypeToString</a>(<a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a>, m_ActionType));</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <a class="code hl_function" href="../../d5/d4b/_hand_f_s_m_8c.html#a4d1ced2805a0b33fc2d7a5ae1300b53b">hndDebugPrint</a>(<span class="stringliteral">&quot;---: warning, no player wants to play A=&quot;</span> + <span class="keyword">typename</span>.EnumToString(<a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>, <a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a>) + <span class="stringliteral">&quot; AT=&quot;</span> + <a class="code hl_function" href="../../d4/d9e/human_8c.html#a7a257c76197be68ad54ce2409c5b9d3a">WeaponActionTypeToString</a>(<a class="code hl_variable" href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a>, m_ActionType));</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d2/d9a/class_hand_state_base.html#a0d62c16ce9a8651b693296fb4438c1ac">   48</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d9a/class_hand_state_base.html#a0d62c16ce9a8651b693296fb4438c1ac">OnExit</a> (<a class="code hl_class" href="../../d8/d9e/class_hand_event_base.html">HandEventBase</a> e)</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        super.OnExit(e);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d2/d9a/class_hand_state_base.html#a4b9502137f606a6634699c74435fc9f0">   53</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/d9a/class_hand_state_base.html#a4b9502137f606a6634699c74435fc9f0">IsIdle</a> () { <span class="keywordflow">return</span> <span class="keyword">false</span>; }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>};</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="ttc" id="a_action_input_8c_html_a3d09e412d12db79f4e4dda7b223efcc9"><div class="ttname"><a href="../../d2/df5/_action_input_8c.html#a3d09e412d12db79f4e4dda7b223efcc9">m_Action</a></div><div class="ttdeci">enum ActionInputType m_Action</div></div>
<div class="ttc" id="a_hand_f_s_m_8c_html_a4d1ced2805a0b33fc2d7a5ae1300b53b"><div class="ttname"><a href="../../d5/d4b/_hand_f_s_m_8c.html#a4d1ced2805a0b33fc2d7a5ae1300b53b">hndDebugPrint</a></div><div class="ttdeci">void hndDebugPrint(string s)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4b/_hand_f_s_m_8c_source.html#l00001">HandFSM.c:1</a></div></div>
<div class="ttc" id="aclass_hand_event_base_html"><div class="ttname"><a href="../../d8/d9e/class_hand_event_base.html">HandEventBase</a></div><div class="ttdoc">triggered when animation action finishes</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d21/_hand___events_8c_source.html#l00161">Hand_Events.c:162</a></div></div>
<div class="ttc" id="aclass_hand_start_action_html"><div class="ttname"><a href="../../d5/ded/class_hand_start_action.html">HandStartAction</a></div><div class="ttdoc">simple class starting animation action specified by m_action and m_actionType</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/db8/_hand_animated_force_swapping_8c_source.html#l00001">HandAnimatedForceSwapping.c:2</a></div></div>
<div class="ttc" id="aclass_hand_state_base_html"><div class="ttname"><a href="../../d2/d9a/class_hand_state_base.html">HandStateBase</a></div><div class="ttdoc">represent hand state base</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/db8/_hand_animated_force_swapping_8c_source.html#l00045">HandAnimatedForceSwapping.c:46</a></div></div>
<div class="ttc" id="aclass_hand_state_base_html_a0d62c16ce9a8651b693296fb4438c1ac"><div class="ttname"><a href="../../d2/d9a/class_hand_state_base.html#a0d62c16ce9a8651b693296fb4438c1ac">HandStateBase::OnExit</a></div><div class="ttdeci">override void OnExit(HandEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d55/_hand_start_action_8c_source.html#l00048">HandStartAction.c:48</a></div></div>
<div class="ttc" id="aclass_hand_state_base_html_a25901bba506525c68e8ce3dc24951dfa"><div class="ttname"><a href="../../d2/d9a/class_hand_state_base.html#a25901bba506525c68e8ce3dc24951dfa">HandStateBase::OnEntry</a></div><div class="ttdeci">override void OnEntry(HandEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d55/_hand_start_action_8c_source.html#l00015">HandStartAction.c:15</a></div></div>
<div class="ttc" id="aclass_hand_state_base_html_a4b9502137f606a6634699c74435fc9f0"><div class="ttname"><a href="../../d2/d9a/class_hand_state_base.html#a4b9502137f606a6634699c74435fc9f0">HandStateBase::IsIdle</a></div><div class="ttdeci">override bool IsIdle()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d55/_hand_start_action_8c_source.html#l00053">HandStartAction.c:53</a></div></div>
<div class="ttc" id="aclass_hand_state_base_html_a52b02313007dc42f2788cd334ffa62f9"><div class="ttname"><a href="../../d2/d9a/class_hand_state_base.html#a52b02313007dc42f2788cd334ffa62f9">HandStateBase::HandStartAction</a></div><div class="ttdeci">void HandStartAction(Man player=NULL, HandStateBase parent=NULL, WeaponActions action=WeaponActions.NONE, int actionType=-1)</div><div class="ttdoc">specific action sub-type</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d55/_hand_start_action_8c_source.html#l00009">HandStartAction.c:9</a></div></div>
<div class="ttc" id="aclass_hand_state_base_html_a7537d4a3cf8246af388a1f6455f0bd5e"><div class="ttname"><a href="../../d2/d9a/class_hand_state_base.html#a7537d4a3cf8246af388a1f6455f0bd5e">HandStateBase::m_Action</a></div><div class="ttdeci">WeaponActions m_Action</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d55/_hand_start_action_8c_source.html#l00006">HandStartAction.c:6</a></div></div>
<div class="ttc" id="aclass_hand_state_base_html_ad427d937cf3f3f41691f22751ecfe423"><div class="ttname"><a href="../../d2/d9a/class_hand_state_base.html#ad427d937cf3f3f41691f22751ecfe423">HandStateBase::m_ActionType</a></div><div class="ttdeci">int m_ActionType</div><div class="ttdoc">action to be played</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d55/_hand_start_action_8c_source.html#l00007">HandStartAction.c:7</a></div></div>
<div class="ttc" id="aclass_human_command_weapons_html"><div class="ttname"><a href="../../da/dd0/class_human_command_weapons.html">HumanCommandWeapons</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00893">human.c:894</a></div></div>
<div class="ttc" id="aclass_human_command_weapons_html_a00c48b946a5b5a45d6e4076a1b2b22ed"><div class="ttname"><a href="../../da/dd0/class_human_command_weapons.html#a00c48b946a5b5a45d6e4076a1b2b22ed">HumanCommandWeapons::IsActionFinished</a></div><div class="ttdeci">proto native bool IsActionFinished()</div></div>
<div class="ttc" id="aclass_human_command_weapons_html_a2b8854c339f238e2a1ec7e1a6e58c298"><div class="ttname"><a href="../../da/dd0/class_human_command_weapons.html#a2b8854c339f238e2a1ec7e1a6e58c298">HumanCommandWeapons::GetRunningAction</a></div><div class="ttdeci">proto native int GetRunningAction()</div><div class="ttdoc">returns -1 when no action is running or RELOAD,MECHANISM, ....</div></div>
<div class="ttc" id="aclass_human_command_weapons_html_aa445c68dd681f55cd731b8a6733d6e5a"><div class="ttname"><a href="../../da/dd0/class_human_command_weapons.html#aa445c68dd681f55cd731b8a6733d6e5a">HumanCommandWeapons::StartAction</a></div><div class="ttdeci">proto native bool StartAction(WeaponActions pAction, int pActionType)</div><div class="ttdoc">start reload,mechanism,chambering,unjam ...</div></div>
<div class="ttc" id="aclass_human_command_weapons_html_ad74a4f1019cb9facfa831511cfaaafa1"><div class="ttname"><a href="../../da/dd0/class_human_command_weapons.html#ad74a4f1019cb9facfa831511cfaaafa1">HumanCommandWeapons::GetRunningActionType</a></div><div class="ttdeci">proto native int GetRunningActionType()</div><div class="ttdoc">returns -1 when no action is running or appropriate action type</div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="agroup___debug_html_ga786b160dafbe15abb829786ba345cb15"><div class="ttname"><a href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a></div><div class="ttdeci">void Error(string err)</div><div class="ttdoc">Messagebox with error message.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/_en_debug_8c_source.html#l00090">EnDebug.c:90</a></div></div>
<div class="ttc" id="ahuman_8c_html_a70aa34d22d03160ea5e3d5248cd37093"><div class="ttname"><a href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a></div><div class="ttdeci">WeaponActions</div><div class="ttdoc">actions</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00716">human.c:717</a></div></div>
<div class="ttc" id="ahuman_8c_html_a7a257c76197be68ad54ce2409c5b9d3a"><div class="ttname"><a href="../../d4/d9e/human_8c.html#a7a257c76197be68ad54ce2409c5b9d3a">WeaponActionTypeToString</a></div><div class="ttdeci">string WeaponActionTypeToString(int A, int AT)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00844">human.c:844</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_91065d8ef1d9d84badd69667faa65040.html">Systems</a></li><li class="navelem"><a class="el" href="../../dir_236db930e105245b471553e35208b746.html">Inventory</a></li><li class="navelem"><a class="el" href="../../d1/d55/_hand_start_action_8c.html">HandStartAction.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
